function dr = draw_2port(x0,y0,dx,ds,F,dc);             
%  draw_2port.m                                           
%  Realization generated from the drawing window of the toolbox 
%                                                               
%      DrawFilt version 2.5  ---  Drawing Filter Realizations   
%                                                               
%   Authors: Miroslav D. Lutovac, Dejan V. Tosic    
%   Email: lutovac@iritel.bg.ac.yu      http://galeb.etf.bg.ac.yu/~lutovac/
%   Email: tosic@galeb.etf.bg.ac.yu     http://www.rcub.bg.ac.yu/~tosicde/
%   Copyright (c) 1999-2001 by Lutovac & Tosic                   
%   $Revision: 2.01 $  $Date: 2001/12/24$                  
%                                                                
%   See also:                                                    
%   Miroslav D. Lutovac, Dejan V. Tosic, Brian L. Evans          
%        Filter Design for Signal Processing                     
%           Using MATLAB and Mathematica                         
%        Prentice Hall - ISBN 0-201-36130-2                      
%         http://www.prenhall.com/lutovac                        
%                                                                
% call   draw_2port(0,0,4,5,8,'k')                      
% call   draw_2port                                       
% creation date: 20-Feb-2005  time: 21:4
%                                                                
mydrawDrawFiltLutovacTosic = '2p5'; % don't edit this line
narginmydraw = nargin;
if narginmydraw ~= 6, x0=0; y0=0; dx=4; ds=5; F=10; dc='b'; end,
Nx = 100; Ny = 100; whitebg(figure(gcf),[1 1 1]); 
x = (1:4*Nx)*dx/4 + x0; y = (1:4*Ny)*dx/4 + y0;
drawin(x(5),y(10),'+',2,ds,F+2,dc);                                           
drawline(x(5), y(10), x(7), y(10),dc);                                        
drawarrw(x(6),y(10),' {\it I}_1',0,ds/2,F,dc);                                
drawin(x(5),y(5),'\bf -',2,ds,F+2,dc);                                        
drawline(x(5), y(5), x(7), y(5),dc);                                          
drawpoly(x([7   7  13  13   7]),y([12   3   3  12  12]),'-',0.5,'b','none',6);
drawline(x(13), y(10), x(15), y(10),dc);                                      
drawline(x(13), y(5), x(15), y(5),dc);                                        
drawout(x(15),y(10),'+',0,ds,F+2,dc);                                         
drawout(x(15),y(5),'{\bf -}',0,ds,F+2,dc);                                    
drawarrw(x(14),y(10),'{\it I}_2',2,ds/2,F,dc);                                
drawtext(x(4),y(7),'{\it V}_1',F+1, dc);                                      
drawtext(x(16),y(7),'{\it V}_2',F+1, dc);                                     
drawcap(x(9),y(5),y(10),' ',' ',3,ds/2,F,'r');                                
drawlnd(x(11),y(5),y(10),' ',' ',3,ds/2,F,'r');                               
axis('equal')
axis('off')
set(gcf,'name','LC lossless 2-port filter','NumberTitle','off')
