function dr = draw_lc_ladder(x0,y0,dx,ds,F,dc);             
%  draw_lc_ladder.m                                           
%  Realization generated from the drawing window of the toolbox 
%                                                               
%      DrawFilt version 2.5  ---  Drawing Filter Realizations   
%                                                               
%   Authors: Miroslav D. Lutovac, Dejan V. Tosic    
%   Email: lutovac@iritel.bg.ac.yu      http://galeb.etf.bg.ac.yu/~lutovac/
%   Email: tosic@galeb.etf.bg.ac.yu     http://www.rcub.bg.ac.yu/~tosicde/
%   Copyright (c) 1999-2001 by Lutovac & Tosic                   
%   $Revision: 2.01 $  $Date: 2001/12/24$                  
%                                                                
%   See also:                                                    
%   Miroslav D. Lutovac, Dejan V. Tosic, Brian L. Evans          
%        Filter Design for Signal Processing                     
%           Using MATLAB and Mathematica                         
%        Prentice Hall - ISBN 0-201-36130-2                      
%         http://www.prenhall.com/lutovac                        
%                                                                
% call   draw_lc_ladder(0,0,4,5,8,'k')                      
% call   draw_lc_ladder                                       
% creation date: 20-Feb-2005  time: 19:45
%                                                                
mydrawDrawFiltLutovacTosic = '2p5'; % don't edit this line
narginmydraw = nargin;
if narginmydraw ~= 6, x0=0; y0=0; dx=4; ds=5; F=10; dc='b'; end,
Nx = 100; Ny = 100; whitebg(figure(gcf),[1 1 1]); 
x = (1:4*Nx)*dx/4 + x0; y = (1:4*Ny)*dx/4 + y0;
drawvs(x(5),y(5),y(10),' ','{\it V}_g',1,ds/2,F,'r');                              
drawres(x(5),y(10),x(8),' ','{\it R}_g',0,ds/2,F,'r');                             
drawcap(x(10),y(5),y(10),' ','{\it C}_1',3,ds/2,F, dc);                            
drawlnd(x(10),y(10),x(15),' ','{\it L}_1',0,ds/2,F, dc);                           
drawcap(x(15),y(5),y(10),' ','{\it C}_2',3,ds/2,F, dc);                            
drawgrnd(x(5), y(5), 0, ds/2, 'r');                                                
drawnode(x(10),y(10),' ',2,ds/3,F, dc);                                               
drawnode(x(15),y(10),' ',2,ds/3,F, dc);                                               
drawnode(x(20),y(10),' ',2,ds/3,F, dc);                                            
drawpoly(x([9 19 19 9 9]),y([13 13 3 3 13]),'--',0.5,'g','none',6);                
drawgrnd(x(20), y(5), 0, ds/2,'r');                                                
drawnode(x(10),y(5),' ',1,ds/3,F, dc);                                                
drawnode(x(15),y(5),' ',1,ds/3,F, dc);                                                
drawline(x(8), y(10), x(10), y(10),dc);                                            
drawline(x(5), y(5), x(8), y(5),'r');                                              
drawline(x(8), y(5), x(10), y(5),dc);                                              
drawline(x(10), y(5), x(15), y(5),dc);                                             
drawline(x(15), y(5), x(20), y(5),dc);                                             
drawnode(x(8),y(10),' ',1,ds/3,F, dc);                                             
drawnode(x(8),y(5),' ',1,ds/3,F, dc);                                              
drawlnd(x(15),y(10),x(20),' ','{\it L}_3',0,ds/2,F, dc);                           
drawres(x(20),y(5),y(10),' ','{\it R}_o',3,ds/2,F,'r');                            
drawnode(x(20),y(5),' ',1,ds/3,F, dc);                                             
axis('equal')
axis('off')
